Bug 1284982 - Review Request: nodejs-iconv - Text recoding in JavaScript for fun and profit
Review Request: nodejs-iconv - Text recoding in JavaScript for fun and profit
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Piotr Popieluch
Fedora Extras Quality Assurance
:
Depends On:
Blocks: nodejs-reviews
  Show dependency treegraph
 
Reported: 2015-11-24 10:34 EST by Tom Hughes
Modified: 2015-11-27 04:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-27 04:30:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
piotr1212: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Tom Hughes 2015-11-24 10:34:42 EST
Spec URL: http://tomh.fedorapeople.org//nodejs-iconv.spec
SRPM URL: http://tomh.fedorapeople.org//nodejs-iconv-2.1.11-1.fc23.src.rpm

Description:
Text recoding in JavaScript for fun and profit.
Comment 1 Upstream Release Monitoring 2015-11-24 10:36:34 EST
tomh's scratch build of nodejs-iconv-2.1.11-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11968807
Comment 2 Piotr Popieluch 2015-11-25 05:42:26 EST
rpmlint gives me two errors:

nodejs-iconv.x86_64: E: non-standard-executable-perm /usr/lib/node_modules/iconv/build/Release/iconv.node 775
nodejs-iconv.x86_64: E: backup-file-in-package /usr/lib/node_modules/iconv/lib/iconv.js.orig


Package is not "hardened" 
https://fedoraproject.org/wiki/Changes/Harden_All_Packages

checksec --file ./usr/lib/node_modules/iconv/build/Release/iconv.node
Partial RELRO   Canary found      NX enabled    DSO             No RPATH   No RUNPATH

Exporting LDFLAGS will fix the "Partial RELRO" part, not sure about the DSO/PIE part.
eg. export LDFLAGS="%{?__global_ldflags}"

I expect more node modules will have to be modified.


For some unknown reason fedora-review fails to install the package. I can install it manually, think I have some issue with fedora-review, the review also lasted longer than one hour to run. I will rerun/try to find out what is going on later.
Comment 3 Tom Hughes 2015-11-25 05:49:16 EST
There's an open bug (and discussion on fedora-devel) about reviews taking a long time.
Comment 4 Tom Hughes 2015-11-25 06:04:14 EST
The DSO thing is fine - it's saying that PIE is not relevant because it's a shared library rather than an executable.

Everything else should be fixed by this new version:

Spec URL: http://tomh.fedorapeople.org/nodejs-iconv.spec
SRPM URL: http://tomh.fedorapeople.org/nodejs-iconv-2.1.11-2.fc23.src.rpm
Comment 5 Piotr Popieluch 2015-11-25 08:15:31 EST
Looks fine. 

fedora-review is still complains about not being able to install without producing any useful log why. I can install the rpm manually and think it is related to the fedora-review issues, so approving.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2 or later)", "*No copyright* ISC", "ISC GPL (v3 or
     later)", "Unknown or generated". 54 files have unknown license.
     Detailed output of licensecheck in /home/piotr/rpmbuild/1284982
     -nodejs-iconv/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in nodejs-
     iconv-debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.13 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.13
INFO: Mock Version: 1.2.13
Finish: chroot init
INFO: installing package(s): /home/piotr/rpmbuild/1284982-nodejs-iconv/results/nodejs-iconv-2.1.11-2.fc24.x86_64.rpm /home/piotr/rpmbuild/1284982-nodejs-iconv/results/nodejs-iconv-debuginfo-2.1.11-2.fc24.x86_64.rpm /home/piotr/rpmbuild/1284982-nodejs-iconv/results/nodejs-iconv-debuginfo-2.1.11-2.fc24.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 24 install /home/piotr/rpmbuild/1284982-nodejs-iconv/results/nodejs-iconv-2.1.11-2.fc24.x86_64.rpm /home/piotr/rpmbuild/1284982-nodejs-iconv/results/nodejs-iconv-debuginfo-2.1.11-2.fc24.x86_64.rpm /home/piotr/rpmbuild/1284982-nodejs-iconv/results/nodejs-iconv-debuginfo-2.1.11-2.fc24.x86_64.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: nodejs-iconv-2.1.11-2.fc24.x86_64.rpm
          nodejs-iconv-debuginfo-2.1.11-2.fc24.x86_64.rpm
          nodejs-iconv-2.1.11-2.fc24.src.rpm
nodejs-iconv.x86_64: W: spelling-error Summary(en_US) recoding -> recording, receding, decoding
nodejs-iconv.x86_64: W: spelling-error %description -l en_US recoding -> recording, receding, decoding
nodejs-iconv.src: W: spelling-error Summary(en_US) recoding -> recording, receding, decoding
nodejs-iconv.src: W: spelling-error %description -l en_US recoding -> recording, receding, decoding
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Requires
--------
nodejs-iconv-debuginfo (rpmlib, GLIBC filtered):

nodejs-iconv (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    nodejs(abi)
    nodejs(engine)
    nodejs(v8-abi)
    rtld(GNU_HASH)



Provides
--------
nodejs-iconv-debuginfo:
    nodejs-iconv-debuginfo
    nodejs-iconv-debuginfo(x86-64)

nodejs-iconv:
    nodejs-iconv
    nodejs-iconv(x86-64)
    npm(iconv)



Source checksums
----------------
https://registry.npmjs.org/iconv/-/iconv-2.1.11.tgz :
  CHECKSUM(SHA256) this package     : abf08900216fc54e2e56266377254fe0c9b344eed8b34514b0c58529e8be1c2f
  CHECKSUM(SHA256) upstream package : abf08900216fc54e2e56266377254fe0c9b344eed8b34514b0c58529e8be1c2f


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1284982
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 6 Till Maas 2015-11-26 16:26:29 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-iconv

Note You need to log in before you can comment on or make changes to this bug.